Upgrade resources for worker[1-3]-hadoop-test.d4science.org

Nov 27, 2017 04:19 PM - Sandro La Bruzzo

Status: Closed Start date: Nov 27, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

We need to have the same hw resource of the other workers of the cluster

Related issues:

Blocks D4Science Infrastructure - Task #10669: Reconfigure the openaire dev s... Closed Dec 12, 2017

History

#1 - Dec 04, 2017 01:00 PM - Pasquale Pagano

- Tracker changed from Support to Task

#2 - Dec 05, 2017 12:03 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The involved VMs are:

ambari-hadoop-test.d4science.org (dlib34x) ambari-hadoop.d4science.org

rm1-hadoop-test.d4science.org (dlib18x) -> dlib25x rm1-hadoop.d4science.org

rm2-hadoop-test.d4science.org (dlib20x) -> dlib34x rm2-hadoop.d4science.org

rm3-hadoop-test.d4science.org (dlib22x)                    rm3-hadoop.d4science.org

rm4-hadoop-test.d4science.org (dlib21x) -> dlib35x rm4-hadoop.d4science.org

worker1-hadoop-test.d4science.org (dlib25x) -> dlib32x worker1-hadoop.d4science.org

worker2-hadoop-test.d4science.org (dlib28x) -> dlib33x worker2-hadoop.d4science.org

worker3-hadoop-test.d4science.org (dlib29x) -> dlib34x worker3-hadoop.d4science.org

worker4-hadoop.d4science.org (dlib26x)

worker5-hadoop.d4science.org (dlib22x)

worker6-hadoop.d4science.org (dlib18x) -> dlib35x

worker7-hadoop.d4science.org (dlib26x)

worker8-hadoop.d4science.org (dlib20x)

worker9-hadoop.d4science.org (dlib22x)

worker10-hadoop.d4science.org (dlib23x)

worker11-hadoop.d4science.org (dlib23x)

#3 - Dec 05, 2017 07:29 PM - Andrea Dell'Amico

- % Done changed from 0 to 60

The VMs  have been renamed, moved and reinstalled when needed. All the data disk volumes renamed to match the VM hostname.

A new VM, db-hadoop.d4science.org has been created. It will host the ambari, oozie, hive (and possibly some other) databases.

The ambari VM has been reinstalled and its old ssh keys copied on the new VM. All the HDP distribution must be installed from scratch.

#4 - Dec 06, 2017 12:49 PM - Andrea Dell'Amico

- % Done changed from 60 to 70

The DB server has been configured.

#5 - Dec 07, 2017 04:59 PM - Andrea Dell'Amico

All the cluster have been reconfigured, HDP 2.6.3 has been installed.

There's a problem on worker8-hadoop.d4science.org, the storage disk keeps detaching itself.

#6 - Dec 07, 2017 07:25 PM - Andrea Dell'Amico
Erasing the nodes without reinstalling them wasn't a good choice. We will reinstall them from scratch, and then reconfigure.

#7 - Dec 11, 2017 02:44 PM - Andrea Dell'Amico

Reinstallation started. The up to date node mapping:

ambari-hadoop.d4science.org (dlib34x)

rm1-hadoop.d4science.org (dlib25x)

rm2-hadoop.d4science.org (dlib34x)

rm3-hadoop.d4science.org (dlib22x)

rm4-hadoop.d4science.org (dlib35x)

worker1-hadoop.d4science.org (dlib32x)

worker2-hadoop.d4science.org (dlib33x)

worker3-hadoop.d4science.org (dlib34x)

worker4-hadoop.d4science.org (dlib26x)

worker5-hadoop.d4science.org (dlib22x)

worker6-hadoop.d4science.org (dlib35x)

worker7-hadoop.d4science.org (dlib26x)

worker8-hadoop.d4science.org (dlib20x)

worker9-hadoop.d4science.org (dlib28x)

worker10-hadoop.d4science.org (dlib23x)

worker11-hadoop.d4science.org (dlib23x)

#8 - Dec 11, 2017 07:12 PM - Andrea Dell'Amico

worker8-hadoop.d4science.org still creates problems. Maybe it should be installed on a better hypervisor.

#9 - Dec 11, 2017 07:26 PM - Andrea Dell'Amico

- % Done changed from 70 to 90

The cluster is up and running. worker8-hadoop.d4science.org has been removed for the time being.

#10 - Dec 12, 2017 06:03 PM - Andrea Dell'Amico

- Blocks Task #10669: Reconfigure the openaire dev solr nodes added

#11 - Dec 12, 2017 06:07 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The cluster is working.
